%define module pymongo

Name:           python-%{module}
Version:        3.10.1
Release:        %mkrel 2
Summary:        Python driver for MongoDB
Group:          Development/Python
# All code is ASL 2.0 except bson/time64*.{c,h} which is MIT
License:        ASL 2.0 and MIT
URL:            https://pypi.org/project/pymongo/
Source0:        http://pypi.io/packages/source/p/pymongo/%{module}-%{version}.tar.gz

%description
The Python driver for MongoDB.

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
BuildRequires:  python3dist(sphinx)

%description    doc
Documentation for %{name}.

%package -n     python3-%{module}
Summary:        Python 3 driver for MongoDB
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
Requires:       python3-bson >= %{version}-%{release}

%description -n python3-%{module}
The Python 3 driver for MongoDB.

%package -n     python3-gridfs
Summary:        Python 3 GridFS driver for MongoDB
Group:          Development/Python
Requires:       python3-%{module} >= %{version}-%{release}

%description -n python3-gridfs
GridFS is a storage specification for large objects in MongoDB.

%package -n     python3-bson
Summary:        Python 3 bson library
Group:          Development/Python

%description -n python3-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

# Generating documention
%__python3 setup.py doc
# Clean leftovers
rm -rf doc/_build/%{version}/.{buildinfo,doctrees}

%install
%py3_install

%files doc
%license LICENSE
%doc doc/_build/%{version}/*

%files -n python3-%{module}
%doc PKG-INFO README.rst
%license LICENSE
%{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}-%{version}-*.egg-info

%files -n python3-gridfs
%doc PKG-INFO README.rst
%license LICENSE
%{python3_sitearch}/gridfs/

%files -n python3-bson
%doc PKG-INFO README.rst
%license LICENSE
%{python3_sitearch}/bson/


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 3.10.1-2.mga8
+ Revision: 1544316
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 guillomovitch <guillomovitch> 3.10.1-1.mga8
+ Revision: 1482835
- new version 3.10.1

* Fri Oct 11 2019 tv <tv> 3.8.0-3.mga8
+ Revision: 1451522
- rebuild for python-3.8
- drop python2 subpkg

* Sat Aug 24 2019 wally <wally> 3.8.0-2.mga8
+ Revision: 1431797
- update doc build

* Mon Jul 01 2019 guillomovitch <guillomovitch> 3.8.0-1.mga8
+ Revision: 1417244
- drop failing tests
- new version 3.8.0

* Mon Jan 07 2019 shlomif <shlomif> 3.7.2-1.mga7
+ Revision: 1351501
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.7.1-2.mga7
+ Revision: 1300572
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 daviddavid <daviddavid> 3.7.1-1.mga7
+ Revision: 1245928
- new version: 3.7.1
- remove merged upstream patch

* Fri Mar 09 2018 daviddavid <daviddavid> 3.6.1-1.mga7
+ Revision: 1207551
- new version: 3.6.1
- add upstream patch to fix Sphinx 1.7 support

* Thu Feb 22 2018 daviddavid <daviddavid> 3.6.0-2.mga7
+ Revision: 1204235
- fix requires

* Tue Feb 20 2018 daviddavid <daviddavid> 3.6.0-1.mga7
+ Revision: 1203595
- new version: 3.6.0
- rename all python-xxxx subpakages to python2-xxxx
- restore python-pymongo from mga5 branch (mga#22633)

* Wed Oct 15 2014 umeabot <umeabot> 2.5.2-9.mga5
+ Revision: 747613
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.5.2-8.mga5
+ Revision: 729470
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.5.2-7.mga5
+ Revision: 688264
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.5.2-6.mga5
+ Revision: 628953
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.5.2-5.mga4
+ Revision: 544103
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5.2-4.mga4
+ Revision: 499243
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 04 2013 fwang <fwang> 2.5.2-3.mga4
+ Revision: 475007
- obsolete old package

* Tue Sep 03 2013 guillomovitch <guillomovitch> 2.5.2-2.mga4
+ Revision: 474861
- add python3 version

* Wed Jun 19 2013 guillomovitch <guillomovitch> 2.5.2-1.mga4
+ Revision: 445111
- new version

* Tue Apr 16 2013 guillomovitch <guillomovitch> 2.5-1.mga3
+ Revision: 410229
- imported package python-pymongo

